> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Versions

> List saved code versions for a workflow, newest first.



## OpenAPI

````yaml GET /v1/workflows/{workflow_uuid}/versions
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/workflows/{workflow_uuid}/versions:
    get:
      tags:
        - workflows
      summary: List Workflow Versions
      description: List saved code versions for a workflow, newest first.
      operationId: list_workflow_versions_v1_workflows__workflow_uuid__versions_get
      parameters:
        - name: workflow_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workflow Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponse_list_WorkflowVersionResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_list_WorkflowVersionResponse__:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WorkflowVersionResponse'
          type: array
          title: Data
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[list[WorkflowVersionResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowVersionResponse:
      properties:
        version:
          type: integer
          title: Version
        code_preview:
          type: string
          title: Code Preview
        saved_at:
          type: string
          format: date-time
          title: Saved At
      type: object
      required:
        - version
        - code_preview
        - saved_at
      title: WorkflowVersionResponse
      description: Single entry in GET /v1/workflows/{uuid}/versions.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````